GDCM 3.2.1

Public Member Functions | List of all members
gdcm::JSON Class Reference

`#include <gdcmJSON.h>`

## Public Member Functions
| JSON ()
| ~JSON ()
bool | Code (DataSet const &in, std::ostream &os)
bool | Decode (std::istream &is, DataSet &out)
bool | GetPrettyPrint () const
void | PrettyPrintOff ()
void | PrettyPrintOn ()
void | SetPrettyPrint (bool onoff)

## Detailed Description

Examples
  QIDO-RS.cxx.

## Constructor & Destructor Documentation

## ◆ JSON()

gdcm::JSON::JSON | ( |  | ) |

## ◆ ~JSON()

gdcm::JSON::~JSON | ( |  | ) |

## Member Function Documentation

## ◆ Code()

bool gdcm::JSON::Code | ( | DataSet const & | in,
|  | std::ostream & | os )

Examples
  QIDO-RS.cxx.

## ◆ Decode()

bool gdcm::JSON::Decode | ( | std::istream & | is,
|  | DataSet & | out )

Examples
  QIDO-RS.cxx.

## ◆ GetPrettyPrint()

bool gdcm::JSON::GetPrettyPrint | ( |  | ) | const

## ◆ PrettyPrintOff()

void gdcm::JSON::PrettyPrintOff | ( |  | ) |

## ◆ PrettyPrintOn()

void gdcm::JSON::PrettyPrintOn | ( |  | ) |

Examples
  QIDO-RS.cxx.

## ◆ SetPrettyPrint()

void gdcm::JSON::SetPrettyPrint | ( | bool | onoff | ) |

The documentation for this class was generated from the following file:

- gdcmJSON.h